# scoreboard-api – CRUD API with authetcication and authorization

## Features

- Register a user account
- Log in to registered account
- Create scoreboard record using registered account
- Retrieve full scoreboard
- Retrieve a user's highscore by username
- Update scoreboard record using administarator's account
- Delete scoreboard record using administartor's account

## Project preview

<div style="display: flex;">
  <img src="http://drive.google.com/uc?export=view&id=1ex5QnARWT0kj3nvmgs55pNKG1eC3vuOP" alt="Search route page" width="50%" border="10" />
</div>                                                                                                                                          
                                                                                                                                                    
## How to install?

1. [Download](https://dotnet.microsoft.com/download) and install .NET with ASP.NET Core
2. Clone this project
3. Install Entity Framework Core .NET Command-line Tools `[~]$ dotnet tool install --global dotnet-ef`
4. Update(by default create new SQLite) database `[~/Server]$ dotnet ef database update`
5. Compile and deploy

## How to tweak this project for your own uses?

- You can change database provider by installing corresponding NuGet packages and changing connection string

## How to contribute?

If you want to add a feature, you should follow these steps:

1. Fork the project
2. Make some changes and commit them with [conventional commit message](https://www.freecodecamp.org/news/how-to-write-better-git-commit-messages/)
3. Submit a PR with a new feature/code

## Find a bug?

If you found an issue or would like to submit an improvement to this project, please submit an issue using the issues tab above. If you would like to submit a PR with a fix, reference the issue you created!
